package android.src.main.java.com.yodo1.maslite.yodo1maslite.Banner;

import java.util.HashMap;
import java.util.Map;
import androidx.annotation.NonNull;
import io.flutter.plugin.common.MethodChannel;
import com.yodo1.mas.Yodo1Mas;
import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.event.Yodo1MasAdEvent;
import com.yodo1.mas.helper.model.Yodo1MasAdBuildConfig;
import com.yodo1.mas.banner.Yodo1MasBannerAdView;
import com.yodo1.mas.banner.Yodo1MasBannerAdSize;
import com.yodo1.mas.banner.Yodo1MasBannerAdListener;
import com.yodo1.testmasfluttersdktwo.YodoAdsConstants;

public class BannerAdListener implements  Yodo1MasBannerAdListener {

    private final MethodChannel channel;

    public BannerAdListener(MethodChannel channel) {
        this.channel = channel;
    }


    @Override
    public void onBannerAdLoaded(Yodo1MasBannerAdView bannerAdView) {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod(YodoAdsConstants.BANNER_LOADED_METHOD,arguments);
    }


    @Override
    public void onBannerAdOpened(Yodo1MasBannerAdView bannerAdView) {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod(YodoAdsConstants.BANNER_OPEN_METHOD,arguments);
    }
    @Override
    public void onBannerAdFailedToLoad(Yodo1MasBannerAdView bannerAdView, @NonNull Yodo1MasError error) {
        Map<String, String> arguments = new HashMap<>();
        arguments.put(YodoAdsConstants.ERROR_MESSAGE_PARAMETER, error.getMessage());
        channel.invokeMethod(YodoAdsConstants.BANNER_LOAD_ERROR_METHOD, arguments);
    }
    @Override
    public void onBannerAdFailedToOpen(Yodo1MasBannerAdView bannerAdView, @NonNull Yodo1MasError error)
    {
        Map<String, String> arguments = new HashMap<>();
        arguments.put(YodoAdsConstants.ERROR_MESSAGE_PARAMETER, error.getMessage());
        channel.invokeMethod(YodoAdsConstants.BANNER_OPEN_ERROR_METHOD, arguments);
    }

    public void onBannerAdClosed(Yodo1MasBannerAdView bannerAdView)
    {
        Map<String, String> arguments = new HashMap<>();
        channel.invokeMethod(YodoAdsConstants.BANNER_CLOSE_METHOD,arguments);
    }



}